Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 82373f57027fab3656578799aaadc3d98392978e)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 82373f57027fab3656578799aaadc3d98392978e)
@@ -302,5 +302,5 @@
         Make new model
         """
-        if self.new_model_frame != None:
+        if self.new_model_frame is not None:
             self.new_model_frame.Show(False)
             self.new_model_frame.Show(True)
@@ -386,5 +386,5 @@
         help for setting list of the edit model menu labels
         """
-        if menu == None:
+        if menu is None:
             menu = self.edit_custom_model
         list_fnames = os.listdir(models.find_plugins_dir())
@@ -441,5 +441,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
-        if page != None:
+        if page is not None:
             return set_focus_page(page)
         if caption == "Const & Simul Fit":
@@ -634,5 +634,5 @@
             state = self.temp_state[self.state_index]
             #panel state should have model selection to set_state
-            if state.formfactorcombobox != None:
+            if state.formfactorcombobox is not None:
                 #set state
                 data = self.parent.create_gui_data(state.data)
@@ -1016,5 +1016,5 @@
                 return False
         ## If a thread is already started, stop it
-        #if self.calc_fit!= None and self.calc_fit.isrunning():
+        #if self.calc_fitis not None and self.calc_fit.isrunning():
         #    self.calc_fit.stop()
         msg = "Fitting is in progress..."
@@ -1106,5 +1106,5 @@
             page = self.fit_panel.add_empty_page()
             # add data associated to the page created
-            if page != None:
+            if page is not None:
                 evt = StatusEvent(status="Page Created", info="info")
                 wx.PostEvent(self.parent, evt)
@@ -1125,5 +1125,5 @@
         page = self.fit_panel.set_data(data)
         # page could be None when loading state files
-        if page == None:
+        if page is None:
             return page
         #append Data1D to the panel containing its theory
@@ -1193,5 +1193,5 @@
         """
         # case that uid is not specified
-        if uid == None:
+        if uid is None:
             for page_id in self.page_finder.keys():
                 self.page_finder[page_id].schedule_tofit(value)
@@ -1216,5 +1216,5 @@
             for item in param:
                 ## check if constraint
-                if item[0] != None and item[1] != None:
+                if item[0] is not None and item[1] is not None:
                     listOfConstraint.append((item[0], item[1]))
         new_model = model
@@ -1231,5 +1231,5 @@
         """
         panel = self.plot_panel
-        if panel == None:
+        if panel is None:
             raise ValueError, "Fitting:_onSelect: NonType panel"
         Plugin.on_perspective(self, event=event)
@@ -1335,5 +1335,5 @@
                 if not correct_result or res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or not \
+                        np.any(res.pvec is None) or not \
                         np.all(np.isfinite(res.pvec)):
                     data_name = str(None)
@@ -1457,5 +1457,5 @@
         cell.value = index
 
-        if theory_data != None:
+        if theory_data is not None:
             #Suucessful fit
             theory_data.id = wx.NewId()
@@ -1526,5 +1526,5 @@
                 if res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or \
+                        np.any(res.pvec is None) or \
                     not np.all(np.isfinite(res.pvec)):
                     fit_msg += "\nFitting did not converge!!!"
@@ -1544,5 +1544,5 @@
                     #(CallAfter is important to MAC)
                     try:
-                        #if res != None:
+                        #if res is not None:
                         wx.CallAfter(cpage.onsetValues, res.fitness,
                                      res.param_list,
@@ -1587,5 +1587,5 @@
         """
         event.Skip()
-        if self.menu1 == None:
+        if self.menu1 is None:
             return
         menu_item = self.menu1.FindItemById(self.id_reset_flag)
@@ -1646,5 +1646,5 @@
         caption = evt.caption
         enable_smearer = evt.enable_smearer
-        if model == None:
+        if model is None:
             return
         if uid not in self.page_finder.keys():
@@ -1698,5 +1698,5 @@
         new_plot.title = data.name
         new_plot.group_id = data.group_id
-        if new_plot.group_id == None:
+        if new_plot.group_id is None:
             new_plot.group_id = data.group_id
         new_plot.id = data_id
@@ -2022,13 +2022,13 @@
         chisqr = None
         #to compute chisq make sure data has valid data
-        # return None if data == None
-        if not check_data_validity(data_copy) or data_copy == None:
+        # return None if data is None
+        if not check_data_validity(data_copy) or data_copy is None:
             return chisqr
 
         # Get data: data I, theory I, and data dI in order
         if data_copy.__class__.__name__ == "Data2D":
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.data), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.err_data = weight
             # get rid of zero error points
@@ -2037,5 +2037,5 @@
             fn = data_copy.data[index]
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.data[index]
@@ -2043,9 +2043,9 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.y), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.dy = weight
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
@@ -2057,5 +2057,5 @@
 
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.y
@@ -2100,5 +2100,5 @@
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
             gn = theory_data.data
-            if weight == None:
+            if weight is None:
                 en = data_copy.err_data
             else:
@@ -2121,8 +2121,8 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
-                if weight == None:
+                if weight is None:
                     dy = np.ones(len(data_copy.y))
                 ## Set consitently w/AbstractFitengine:
@@ -2162,5 +2162,5 @@
         ##group_id specify on which panel to plot this data
         group_id = self.page_finder[page_id].get_graph_id()
-        if group_id == None:
+        if group_id is None:
             group_id = data.group_id
         new_plot.group_id = "res" + str(group_id)
